# Uses of Enum Class
org.apache.solr.common.luke.FieldFlag

Packages that use FieldFlag
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.common.luke
Common constants used by the `LukeRequestHandler`.

## Uses of FieldFlag in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return types with arguments of type FieldFlag
Modifier and Type
Method
Description
`EnumSet<FieldFlag>`
LukeResponse.FieldInfo.`getFlags()`
`EnumSet<FieldFlag>`
LukeResponse.FieldInfo.`getSchemaFlags()`
`static EnumSet<FieldFlag>`
LukeResponse.FieldInfo.`parseFlags(String flagStr)`

## Uses of FieldFlag in org.apache.solr.common.luke

Methods in org.apache.solr.common.luke that return FieldFlag
Modifier and Type
Method
Description
`static FieldFlag`
FieldFlag.`getFlag(char abbrev)`
`static FieldFlag`
FieldFlag.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FieldFlag[]`
FieldFlag.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.